Subject: bug#60854: Adjust icons shown with warnings

From: Kévin Le Gouguec <[email-masked]>
Date: Tue, 17 Jan 2023 23:19:55 +0100

(Passing by, can't remember the whole thread, sorry if what I'm
suggesting has already be said)

Jim Porter <[email-masked]> writes:

> On 1/16/2023 1:58 AM, Daniel Martín via Bug reports for GNU Emacs, the Swiss
> army knife of text editors wrote:
>> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>> 
>>> Currently, warnings are visually "enhanced" with a ⛔ sign.
>>> However, the warning signs are ⚠️ or its slightly different European
>>> version.
>> I had the same question as you, but it turns out that the ⛔ icon is not
>> intended to represent a warning, it is a button that you can click to
>> *suppress* that warning type.
>
> I think the confusion is that the literal meaning of the ⛔ icon is "No Entry",
> so it's very easy to read it as, "Stop! Don't go this way because there's a
> problem ahead."
>
> Perhaps a bit better would be 🚫, whose official name is apparently "No Entry
> Sign", even though the slashed circle visual usually just means "No ____",
> e.g. "No Smoking". Hence, some sources call it the Prohibited emoji.

(My ¢2: wouldn't a cross mark (❌) also work to convey the idea of
"suppressing" something?)

> We could also add actual images for this icon if none of these are quite right,
> and use the emoji as a fallback.

The new icons.el that comes with Emacs 29 would be a prime candidate for
implementing this, right?  It has the advantage of giving the user some
degree of control via icon-preference.